CIA installer for EmuNand 10.3

Discussion in '3DS - Flashcards & Custom Firmwares' started by Bilza95, Jan 4, 2016.

  1. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    Firstly sorry if this was better suited for the homebrew forum, I was torn between the two so feel free to move this thread :)

    As of yesterday, I finally managed to downdate my O3DS to 9.2 and install rxtools, enabling unsigned installations! I then continued by separating my SysNand and EmuNand, so that I can keep up to date and not have to worry about getting spoofed games.

    The issue is that being an O3DS it's possible to update my emunand past 9.5 all the way to 10.3, which while being ideal to be able to install any CIA, The current version of FBI doesn't use memchunkhax2 and doesn't have the AM privileges needed to install CIA. I noticed there was a temporary build of FBI, but this was only .3dsx and therefore couldn't be patched to my emunands health and safety app.

    Can anyone point me in the right direction of how I'll be able to install CIAs directly in my emunand?

    At the moment I'm using the unstable FBI with memchunkhax2 by booting up, then booting into rxmode, then using browser hax, then running FBI and it's just not ideal.

    Open to all suggestions, thanks in advance.
     
  2. NoNAND

    NoNAND GBAtemp Advanced Fan

    Member
    673
    156
    Aug 22, 2015
    Ireland
    Pikachu City
    Yes you can update emuNAND up to 10.3 on o3ds but never update from eshop!
     
  3. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    If you're ever in doubt about messing with EmuNAND, you can use the EmuNAND Backup Tool to dump the NAND.bin from your EmuNAND (You can even inject it into your sysnand if you want your original nand back before you formatted it!)
     
  4. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    I feel I've been misunderstood slightly, sorry if I wasn't totally clear, I'll try and reiterate

    I have ALREADY updated my emunand to 10.3 (successfully I might add :) ) and installed FBI to my health and safety app. The issue is that the FBI.CIA file used uses an old exploit, and won't have AM privileges on 10.3, thus rendering it useless. I'm looking for a version of FBI (or devmenu, bigbluemenu etc.) that uses the new memchunkhax2 and that can be installed to the health and safety app. I appreciate your comments though, thanks all the same :)
     
  5. evandixon

    evandixon PMD Researcher

    Member
    1,667
    788
    May 29, 2009
    United States
    If you install the cia version of fbi through cfw, you don't need memchunkhax.
     
    Ammako likes this.
  6. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    Unfortunately, the FBI.CIA itself needs memchunkhax I believe to access the AM:U (correct me if I'm wrong) as my emunand is at 10.3. If I was running emunand at 9.2 or below, I could use the current version as that exploit was patched in 9.3 I believe (again correct me if I'm wrong, I'm going totally from memory)

    the issue is that my FBI doesn't have write privileges and therefore fails to install any CIA, legit or not. i would post error codes etc. But I'm not at home right now
     
  7. Ammako

    Ammako GBAtemp Guru

    Member
    6,406
    3,540
    Dec 22, 2009
    Canada
    Chances are your error codes have nothing to do with FBI not having access to the right services to install .cias

    Anything installed as .cia has access to all those services. You only need memchunkhax & co. when trying to run stuff from userland homebrew launcher, because userland doesn't have access to said services and you need a privilege escalation exploit to grant you access to said services.

    Regardless, I'd recommend using this to inject DevMenu into your H&S app.
    GW website has a download for DevMenu.3ds and that can be converted to .cia just fine.
    You could also use BigBlueMenu.
     
    Last edited by Ammako, Jan 4, 2016
    Bilza95 likes this.
  8. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    Don't get me wrong that's totally possible, I vaguely remember the error code having something about 'AM' in it, but untill I'm at home I can't check it.

    However if you think that DevMenu will be more successful, then I'll give that a try in a couple of hours, and feedback whether it was a success or not, thanks!
     
  9. Ammako

    Ammako GBAtemp Guru

    Member
    6,406
    3,540
    Dec 22, 2009
    Canada
    Not necessarily work better or be more successful, but I'd generally recommend DevMenu over FBI any day.
    FBI only for uninstalling/installing system titles as DevMenu doesn't let you uninstall system titles.

    But DevMenu is an official Nintendo SDK dev kit tool, it's gonna be a lot more stable. FBI works well but it has some problems sometimes and then Steveice has to fix the bugs and release an update, while DevMenu will always just work.
     
  10. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    I wasn't aware of that, thanks for the info! Also saw your edit explaining the escalation privileges so thanks for that aswell, always useful to know these things for next time something happens :)

    Reading the page for the app injector you linked, it says that the version must be below 9.2, my sysnand is but my emunand isn't and that is the one I'll need to run it on. Is this going to pose an issue?
     
  11. Ammako

    Ammako GBAtemp Guru

    Member
    6,406
    3,540
    Dec 22, 2009
    Canada
    You need sysnand 9.2 or under to run Decrypt9, but Decrypt9 has access to both your sysnand and your emunand.
     
    Bilza95 likes this.
  12. maddpiratekidd

    maddpiratekidd Member

    Newcomer
    21
    1
    Apr 6, 2009
    United States
    how did you update it?
     
  13. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    Booted into emunand, verified my firmware was rx-e and then ran the updated through the settings without backing out which to my knowledge is correct. Also FBI does boot so I know that it's injected fine and also that it runs, doesn't hang at all just gives the same error message, which I will post shortly
     
  14. Plasma Shadow

    Plasma Shadow GBAtemp's Artificial Lifeform

    Member
    1,551
    383
    May 15, 2009
    I have no fucking idea.
    BigBluemenu is better than devmenu, iirc.
     
  15. Ekaitz

    Ekaitz Pokémon Master

    Member
    606
    214
    Jun 13, 2010
    France
    Lens
    No. It's exactly the same with some banner change and that's it.
     
    Ammako, Ra1d and Bilza95 like this.
  16. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    For anyone who's wondering (or if it's an obvious solution) this is the error message

    Install Failed!
    Could not install app
    Raw error: 0xc8a0802b
    Module: AM (0x20)
    Level: Status (0x19)
    Summary: Invalid State (0x5)
    Description: Database does not exist (0x2b)

    Now going to try installing DevMenu using the above method and will let you know how it goes
     
  17. Chrestomanci

    Chrestomanci Advanced Member

    Newcomer
    58
    27
    Sep 9, 2015
    Switzerland
    Check the FAQ here: https://gbatemp.net/threads/release-fbi-open-source-cia-installer.386433/ (the second question)
     
    Ammako and Bilza95 like this.
  18. Bilza95
    OP

    Bilza95 Newbie

    Newcomer
    8
    0
    Jan 4, 2016
    Lol silly me..... Totally thought this would be a cfw/hack problem, and never thought to read the FAQ for FBI......doh! :rofl2:

    The above method in the FAQ has solved the problem! Thanks for your help :) if a mod would like to close this that's great
     
  19. 2manyGames2play

    2manyGames2play GBAtemp Regular

    Member
    124
    41
    Nov 24, 2015
    Netherlands
    Just wondering but where would i find the latest DevMenu? Is there an official site? (unless its on GBAtemp :blush:)

    Edit: NVM..

     
    Last edited by 2manyGames2play, Mar 1, 2016